<template>
  <section>
    <div class="background-image">
      <div class="content">
        <div>
          <h1>Trouver le <br><span>Cocoon</span> idéal</h1>
        </div>
        <div class="search-bar">
          <div @click="propertyType.isOpen = !propertyType.isOpen">
            <p>Type de bien</p>
            <div v-if="propertyType.isOpen" class="dropdown-option">
              <p>Location</p>
              <p>Vente</p>
            </div>
          </div>
          <div>
            <p>Type de vente</p>
          </div>
          <div>
            <p>Ville</p>
          </div>
          <div class="search-btn">
            <p>Chercher</p>
          </div>
        </div>
        <div class="advanced-search">
          <p>Vous savez ce que vous voulez ?</p>
          <button>Recherche avancée</button>
        </div>
      </div>

      <div class="banner">
        <div>
          <p>100</p>
          <p>agences</p>
        </div>
        <div>
          <p>544</p>
          <p>biens</p>
        </div>
        <div>
          <p>300</p>
          <p>ventes</p>
        </div>
        <div>
          <p>244</p>
          <p>locations</p>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: 'HomeSearch',
  data: function () {
    let propertyType = {type: null, isOpen: false}
    let search = {property_type: null, sale_type: null, city: null}
    return {
      propertyType,
    }
  },
  methods: {
  },
  mounted() {
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
section {
  color: #ffffff;
}

.background-image {
  background: url("/img/background.jpg") no-repeat fixed;
  background-position-x: center;
  background-position-y: -167px;
  background-size: cover;
  background-color: rgba(0, 0, 0, 0.2);
  background-blend-mode: overlay;
}

.content {
  padding: 11vh 7vw 5vh 7vw;

  & div h1 {
    font-size: 12vw;
    line-height: 1;
  }
}

.content span {
  color: #374971;
}

.search-bar {
  display: flex;
  flex-direction: column;
  row-gap: 8px;
  color: #000000;

  & div {
    background-color: #ffffff;
    padding: 5px 10px 0 10px;
    color: #888888;
    border-bottom: 1px solid;
    border-radius: 5px;
    align-items: center;
    display: flex;
    min-height: 40px;
    flex-direction: column;

    &:last-child {
      border: none;
      justify-content: center;
      display: flex;
    }
  }
}

.search-bar div.search-btn {
  background: #374971;
  color: #ffffff;
}

.dropdown-option {
  display: flex;
  flex-direction: column;
}

.banner {
  display: flex;
  padding: 20px 0;
  justify-content: space-evenly;
  background: rgba(55, 73, 113, 0.8);
  font-size: 0.9rem;
}

.banner div {
  display: flex;
  flex-direction: column;
  align-items: center;
}

@Media screen and (width > 768px) {
  .content {
    top: 60px;

    & div h1 {
      font-size: 92px;
    }
  }

  .search-bar {
    flex-direction: row;

    & div {
      background-color: #ffffff;
      padding: 5px 10px 0 10px;
      color: #888888;
      border-left: 1px solid;
      border-bottom: none;
      border-radius: unset;
      min-width: 21%;
      min-height: 30px;

      &:first-child {
        border: none;
        border-radius: 5px 0 0 5px;
      }

      &:last-child {
        border-radius: 0 5px 5px 0;
      }
    }
  }



  //.search-bar div:first-child {
  //  border-radius: 5px 0 0 5px;
  //}
  //
  //.search-bar div:last-child {
  //  border-radius: 0 5px 5px 0;
  //}



  .advanced-search {
    display: inline-flex;
    padding-top: 10px;
    align-items: center;

    & p {
      margin-right: 5px;
    }
  }


}
</style>
